current position:Home>How to solve the problem of solidness version and package?

How to solve the problem of solidness version and package?

2022-02-03 20:42:53 Q & A of Denglian community




Take the answer 1:

Your current choice is 0.7.6 Version of compiler .

and pragma solidity ^0.8.0 Indicates that the code needs to use >=0.8.0 <0.9.0 Compiler for ( That is, only the third party is supported 3 Version number changes ). Reference documents :https://learnblockchain.cn/docs/solidity/layout-of-source-files.html#pragmas

You can modify the source code perhaps Change the compiler version .




copyright notice
author[Q & A of Denglian community],Please bring the original link to reprint, thank you.
https://en.netfreeman.com/2022/02/202202032042518974.html

Random recommended